fig54 <- function(post=F)
{
 if(post)
  {#ps.options (colors=ps.colors.rgb[c("blue", "magenta", "cyan",
   #"green", "MediumBlue", "red", "black", "yellow", "blue"),])
    postscript("Fig54.ps", width=4.4, height=5, horizontal=F, pointsize=8)
  }
 else {if(dev.cur()==1) motif(); par(ask=T)}

 par(mfrow = c(2, 2),mar=c(5,3,3,1)+0.1)
 par(mex=0.5,csi=0.11)


################## lag 1 plot of the whole data ##########
 lynx <- scan("../datasets/lynx.dat")
 x <- log10(lynx)
 n <- length(x)
 plot(x[1:(n-1)],x[2:n],xlab="(a)", ylab="")
 title("Lag 1 of whole data")

################# lag 1 plot of the windowed data #########

 h <-  0.2 
 ind <- (1:n)[x <=2.7 + h] 
 ind <- ind[x[ind] >= 2.7 - h]
 y <- x[ind]
 m <- length(y)
 plot(y[1:(m-1)], y[2:m], type="n",xlab="(b)", ylab="")
 text(y[1:(m-1)], y[2:m], ind[2:m])
 title("lag 1 of local data")

#if(post)
#  postscript("Fig54b.ps", width=4.4, height=2.5, horizontal=F,pointsize=8)
#  par(mfrow = c(1, 1),mar=c(5,3,3,1)+0.1)
#  par(mex=0.5,csi=0.11)
par(fig=c(0,1,0,0.5))
  ############# Rule of thumb bandwidth selector  #########
   n <- length(x)
   s <- sqrt(var(x))
   bandwidth <- 4*1.06 * s / n^0.2 
   print(c("selected bandwidth", round(bandwidth/4,3)))
   print(summary(x))

   kden <- density(x,200,width = bandwidth*.6, from=mean(x)-4*s, to=mean(x)+4*s)
   plot(kden$x, kden$y, type="l",  xlab="(c)", ylab="",
		ylim=c(0,max(kden$y)*1.5))
   points(x,rep(0,n))
   title("Distribution of the lynx data")
   kden <- density(x,200,width = bandwidth, from=mean(x)-4*s, to=mean(x)+4*s)
   lines(kden$x, kden$y,lty=2)
}
